
QGIS Application - Bug report #2483

Window resize/zoom problem with large rasters

2010-03-01 10:11 AM - John Tull

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 12543

Description

With current trunk and qt-4.6.2 on OS X, the qgis application window behaves strangely when trying to resize it. To reproduce the

problem:

1) load a large raster image to the canvas (mine is a 600mb hillshade)

2) grab the window resize widget in the bottom right and drag to a new size

3) wait patiently for the resize and redraw (note it does not redraw to where you dragged your mouse)

4) click the pan tool or top bar of the application window

The result is the window resizing to a very small size after the interface click event. I am guessing this is memory-related, somehow, but

just making a guess. I do not know if it is a qt or a qgis bug. FWIW, I do not have render caching enabled.

History

#1 - 2010-03-01 11:53 AM - John Tull

Disabling rendering is a means to circumvent the issue. Perhaps it would be possible to disable rendering of the map canvas on resize events as a

workaround?

#2 - 2011-03-05 11:21 AM - John Tull

The default behavior is to disable the render improvement option in QGIS. It is unclear if this bug is a result of qt problems or something in the QGIS code.

A real solution would be great, especially as further render enhancements are developed for QGIS.

#3 - 2011-05-31 11:33 PM - Paolo Cavallini

Cannot confirm here. Can you please check with to be released 1.7 version?

#4 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:24 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No
- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-12-30 08:15 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Paolo Cavallini wrote:

Cannot confirm here. Can you please check with to be released 1.7 version?

closing for lack of feedback. reopen if necessary.

2024-03-20 2/2


